<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        if (!Schema::hasColumn('sewas', 'jenis_jaminan')) {
            Schema::table('sewas', function (Blueprint $table) {
                $table->string('jenis_jaminan')->nullable();
                $table->string('foto_jaminan')->nullable();
            });
        }
    }

    public function down()
    {
        Schema::table('sewas', function (Blueprint $table) {
            $table->dropColumn(['jenis_jaminan', 'foto_jaminan']);
        });
    }
}; 